# Tool to annotate variants with RSIDs

This script and accompanying dbsnp file can be used to add RSID annotation to a file containing chromosome, position, reference allele, and alternate allele.

#### U**sage instructions in GitHub repository**

\[<https://github.com/FINNGEN/commons/blob/master/annotate_rsids/README.md>]

**Location of the script and readme in the Sandbox**

`/finngen/library-green/scripts/annotate_rsids/`

Example use of the script (show help page):

`python3 /finngen/library-green/scripts/annotate_rsids/rsidify.py -h`

### **D**bsnp REFERENCE files

We provide two dbsnp REFERENCE files for annotation. These files can be used for files on human genome build 38 only (e.g. all FinnGen association analyses are compatible).

The main annotation file contains all variants in DBNSP (`/finngen/library-green/dbsnp/dbsnp-b155-hg38-left-align-split.vcf.gz`).

For convenience, we also provide another file (`/finngen/library-green/dbsnp/dbsnp-b155-GRC38.13.left_align_split.finngen_panel_4.1_variants.small.gz`), containing **only variants that are on sisu4.1 imputation panel.**

The results will be identical but using only subset of variants will run much faster. If you are unsure which variants you have, use the full file.\\


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finngen.fi/working-in-the-sandbox/which-tools-are-available/miscellaneous-helper-scripts-tools/tool-to-annotate-variants-with-rsids.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
